PANDA_MAKEDATE(3)

NAME
panda_makedate - format a date into the internal PDF representation

SYNOPSIS
 #include<panda/constants.h>
 #include<panda/functions.h>
 void panda_makedate (int year, int month, int day, int hour, int minutes, int seconds);

DESCRIPTION

PANDA INTERNAL. The function makedate generates a date that is suitable to be embedded into a PDF. This date will include information about the timezone in which the PDF was created and the relationship that this timezone has with GMT (Zulu) time. Mostly this function is used internally within Panda, and should not concern the average programmer too much.

RETURNS

The date passed formatted as a null terminated string.

EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> printf("Panda would encode 19 July 1977 3:14:23 AM as: %s\n", panda_makedate(1977, 7, 19, 3, 14, 23));

SEE ALSO

panda_nowdate

VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.